Cabal-Version:        2.4
Name:                 gimbal-bounty-treasury-escrow
Version:              1.0.0.0
Author:               Gimbalabs
Maintainer:           jdunseith@gimblabs.io
Build-Type:           Simple
License:              Apache-2.0
License-file:         LICENSE

library
  hs-source-dirs:      src
  exposed-modules:     GBTE.Compiler
                       GBTE.EscrowValidator
                       GBTE.TreasuryValidator
                       GBTE.Types
  build-depends:       aeson
                     , base ^>=4.14.1.0
                     , bytestring
                     , cardano-api
                     , containers
                     , plutus-ledger
                     , plutus-ledger-api
                     , plutus-ledger-constraints
                     , plutus-tx-plugin
                     , plutus-tx
                     , plutus-script-utils
                     , serialise
                     , text
  default-language:    Haskell2010
  ghc-options:         -Wall -fobject-code -fno-ignore-interface-pragmas -fno-omit-interface-pragmas -fno-strictness -fno-spec-constr -fno-specialise
